<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<window xmlns="http://jmix.io/schema/ui/window"
        xmlns:c="http://jmix.io/schema/ui/jpql-condition"
        caption="msg://userBrowse.caption"
        focusComponent="usersTable">
    <data readOnly="true">
        <collection id="usersDc"
                    class="com.company.management.entity.User">
            <fetchPlan extends="_base">
                <property name="icType" fetchPlan="_base"/>
            </fetchPlan>
            <loader id="usersDl">
                <query>
                    <![CDATA[select e from User e
                    where e.system <> :system1
                    or e.system is null
                    order by e.createdDate desc]]>
                </query>
            </loader>
        </collection>
    </data>
    <actions>
        <action id="lookupSelectAction"
                caption="msg:///actions.Select"
                icon="LOOKUP_OK"
                primary="true"
                shortcut="${COMMIT_SHORTCUT}"/>
        <action id="lookupCancelAction"
                caption="msg:///actions.Cancel"
                icon="LOOKUP_CANCEL"/>
    </actions>
    <facets>
        <dataLoadCoordinator auto="true"/>
        <screenSettings id="settingsFacet" auto="true"/>
        <presentations auto="true"/>
    </facets>
    <dialogMode height="600"
                width="800"/>
    <layout spacing="true" width="100%" height="AUTO" responsive="true">
        <filter id="filter"
                dataLoader="usersDl">
            <properties include=".*"/>
        </filter>
        <groupTable id="usersTable"
                    width="100%"
                    dataContainer="usersDc">
            <actions>
                <action id="create" type="create"/>
                <action id="edit" type="edit"/>
                <action id="remove" type="remove"/>
                <action id="showRoleAssignments" type="showRoleAssignments"/>
                <action id="showUserSubstitutions" type="showUserSubstitutions"/>
                <action id="changePassword" type="changePassword"/>
                <action id="resetPassword" type="resetPassword"/>
                <action id="resetRememberMeToken" type="resetRememberMeToken"/>
                <action id="edit2" type="edit" caption="msg://Role Assignment"/>
            </actions>
            <columns>
                <column id="username"/>
                <column id="fullname"/>
<!--                <column id="lastName"/>-->
                <column id="icType" caption="msg://IC Type"/>
                <column id="icNo" caption="msg://IC No."/>
                <column id="phoneNo"/>
                <column id="email"/>
                <column id="active"/>
                <column id="timeZoneId" visible="false"/>
                <column id="partner" caption="msg://Partner Account?"/>
                <column id="nationalityCode" caption="msg://Nationality" visible="false"/>
            </columns>
            <simplePagination/>
            <buttonsPanel id="buttonsPanel"
                          alwaysVisible="true">
                <button id="createBtn" action="usersTable.create"/>
                <button id="editBtn" action="usersTable.edit"/>
                <button id="removeBtn" action="usersTable.remove"/>
                <button id="editBtn2" action="usersTable.edit2" caption="msg://Role Assignment"/>
                <button id="showRoleAssignmentsBtn" action="usersTable.showRoleAssignments" visible="false"/>
                <popupButton id="additionalActionsBtn" caption="msg://additional" icon="GEARS">
                    <actions>
                        <action id="usersTable.changePassword"/>
                        <action id="usersTable.resetPassword"/>
                        <action id="usersTable.resetRememberMeToken"/>
<!--                        <action id="usersTable.showUserSubstitutions"/>-->
<!--                        <action id="usersTable.edit2" caption="msg://Role Assignment"/>-->
                    </actions>
                </popupButton>
            </buttonsPanel>
        </groupTable>
        <hbox id="lookupActions" spacing="true" visible="false">
            <button action="lookupSelectAction"/>
            <button action="lookupCancelAction"/>
        </hbox>
    </layout>
</window>
